// java wrapper for vtkCharArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCharArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCharArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCharArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkCharArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char  *temp20;
  vtkIdType size;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<char*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfCharFromChar(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetJavaArray_10(JNIEnv *env, jobject obj,jbyteArray id0)
{
  vtkCharArray *op;
  char *tempArray0;
  int length;
  tempArray0 = (char *)(env->GetByteArrayElements(id0,nullptr));
  length = env->GetArrayLength(id0);
  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(char));
  env->ReleaseByteArrayElements(id0,(jbyte *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  int      temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_GetTypedTuple_15(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCharArray *op;
  long long   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTypedTuple(temp0,temp1);
  delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetTypedTuple_16(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCharArray *op;
  long long   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTypedTuple(temp0,temp1);
  delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_InsertTypedTuple_17(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCharArray *op;
  long long   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertTypedTuple(temp0,temp1);
  delete[] temp1;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_InsertNextTypedTuple_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextTypedTuple(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkCharArray_GetValue_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  long long   temp0;
  char     temp20;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetValue_110(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkCharArray *op;
  long long   temp0;
  char     temp1;
  temp0 = id0;
  temp1 = (char)(0xff & id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCharArray_SetNumberOfValues_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  long long   temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNumberOfValues(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_InsertValue_112(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkCharArray *op;
  long long   temp0;
  char     temp1;
  temp0 = id0;
  temp1 = (char)(0xff & id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_InsertNextValue_113(JNIEnv *env, jobject obj,jchar id0)
{
  vtkCharArray *op;
  char     temp0;
  long long   temp20;
  temp0 = (char)(0xff & id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_GetValueRange_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_GetValueRange_115(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char    *temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_WritePointer_116(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCharArray *op;
  long long   temp0;
  long long   temp1;
  char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->WritePointer(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_GetPointer_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  long long   temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointer(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetArray_118(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkCharArray *op;
  char    *temp0;
  long long   temp1;
  int      temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArray(temp0,temp1,temp2);
  delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetArray_119(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkCharArray *op;
  char    *temp0;
  long long   temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArray(temp0,temp1,temp2,temp3);
  delete[] temp0;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCharArray_FastDownCast_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCharArray *op;
  vtkAbstractArray  *temp0;
  vtkCharArray  *temp20;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FastDownCast(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkCharArray_GetDataTypeValueMin_121(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char     temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkCharArray_GetDataTypeValueMax_122(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char     temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCharArray_VTKInit(JNIEnv *, jobject)
{
  vtkCharArray *aNewOne = vtkCharArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
