// java wrapper for vtkUnsignedCharArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnsignedCharArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnsignedCharArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnsignedCharArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkUnsignedCharArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
  unsigned char  *temp20;
  vtkIdType size;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<unsigned char*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfUnsignedCharFromUnsignedChar(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedCharArray_SetJavaArray_10(JNIEnv *env, jobject obj,jbyteArray id0)
{
  vtkUnsignedCharArray *op;
  unsigned char *tempArray0;
  int length;
  tempArray0 = (unsigned char *)(env->GetByteArrayElements(id0,nullptr));
  length = env->GetArrayLength(id0);
  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(unsigned char));
  env->ReleaseByteArrayElements(id0,(jbyte *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedCharArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedCharArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedCharArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedCharArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
  int      temp20;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetValue_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedCharArray *op;
  long long   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedCharArray_SetValue_16(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkUnsignedCharArray *op;
  long long   temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkUnsignedCharArray_SetNumberOfValues_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedCharArray *op;
  long long   temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNumberOfValues(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedCharArray_InsertValue_18(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkUnsignedCharArray *op;
  long long   temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_InsertNextValue_19(JNIEnv *env, jobject obj,jchar id0)
{
  vtkUnsignedCharArray *op;
   unsigned char     temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnsignedCharArray_GetValueRange_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedCharArray *op;
  int      temp0;
   unsigned char    *temp20;
  temp0 = id0;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnsignedCharArray_GetValueRange_111(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
   unsigned char    *temp20;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnsignedCharArray_FastDownCast_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnsignedCharArray *op;
  vtkAbstractArray  *temp0;
  vtkUnsignedCharArray  *temp20;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FastDownCast(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetDataTypeValueMin_113(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
   unsigned char     temp20;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetDataTypeValueMax_114(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
   unsigned char     temp20;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnsignedCharArray_VTKInit(JNIEnv *, jobject)
{
  vtkUnsignedCharArray *aNewOne = vtkUnsignedCharArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
