// java wrapper for vtkBezierQuadrilateral object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBezierQuadrilateral.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkHigherOrderQuadrilateral_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBezierQuadrilateral_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBezierQuadrilateral",dType)) { return me; }
  if ((res= vtkHigherOrderQuadrilateral_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierQuadrilateral_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierQuadrilateral *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierQuadrilateral_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierQuadrilateral *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierQuadrilateral_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierQuadrilateral *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierQuadrilateral_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierQuadrilateral *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierQuadrilateral_GetCellType_14(JNIEnv *env, jobject obj)
{
  vtkBezierQuadrilateral *op;
  int      temp20;

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierQuadrilateral_GetEdge_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkBezierQuadrilateral *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBezierQuadrilateral_SetRationalWeightsFromPointData_16(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkBezierQuadrilateral *op;
  vtkPointData  *temp0;
  long long   temp1;
  temp0 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRationalWeightsFromPointData(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierQuadrilateral_GetRationalWeights_17(JNIEnv *env, jobject obj)
{
  vtkBezierQuadrilateral *op;
  vtkDoubleArray  *temp20;

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRationalWeights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierQuadrilateral_getEdgeCell_18(JNIEnv *env, jobject obj)
{
  vtkBezierQuadrilateral *op;
  vtkHigherOrderCurve  *temp20;

  op = (vtkBezierQuadrilateral *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getEdgeCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBezierQuadrilateral_VTKInit(JNIEnv *, jobject)
{
  vtkBezierQuadrilateral *aNewOne = vtkBezierQuadrilateral::New();
  return (jlong)(size_t)(void*)aNewOne;
}
