// java wrapper for vtkBezierTetra object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBezierTetra.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkHigherOrderTetra_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBezierTetra_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBezierTetra",dType)) { return me; }
  if ((res= vtkHigherOrderTetra_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierTetra_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierTetra *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierTetra_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierTetra *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierTetra_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierTetra *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierTetra_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierTetra *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierTetra_GetCellType_14(JNIEnv *env, jobject obj)
{
  vtkBezierTetra *op;
  int      temp20;

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierTetra_GetEdge_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkBezierTetra *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierTetra_GetFace_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBezierTetra *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBezierTetra_SetRationalWeightsFromPointData_17(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkBezierTetra *op;
  vtkPointData  *temp0;
  long long   temp1;
  temp0 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRationalWeightsFromPointData(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierTetra_getEdgeCell_18(JNIEnv *env, jobject obj)
{
  vtkBezierTetra *op;
  vtkHigherOrderCurve  *temp20;

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getEdgeCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierTetra_getFaceCell_19(JNIEnv *env, jobject obj)
{
  vtkBezierTetra *op;
  vtkHigherOrderTriangle  *temp20;

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getFaceCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierTetra_GetRationalWeights_110(JNIEnv *env, jobject obj)
{
  vtkBezierTetra *op;
  vtkDoubleArray  *temp20;

  op = (vtkBezierTetra *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRationalWeights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBezierTetra_VTKInit(JNIEnv *, jobject)
{
  vtkBezierTetra *aNewOne = vtkBezierTetra::New();
  return (jlong)(size_t)(void*)aNewOne;
}
