// java wrapper for vtkDataObjectTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectTree",dType)) { return me; }
  if ((res= vtkCompositeDataSet_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectTree *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectTree *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTree_NewTreeIterator_14(JNIEnv *env, jobject obj)
{
  vtkDataObjectTree *op;
  vtkDataObjectTreeIterator  *temp20;

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewTreeIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTree_NewIterator_15(JNIEnv *env, jobject obj)
{
  vtkDataObjectTree *op;
  vtkCompositeDataIterator  *temp20;

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectTree_CopyStructure_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectTree *op;
  vtkCompositeDataSet  *temp0;
  temp0 = (vtkCompositeDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectTree_SetDataSet_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataObjectTree *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectTree_SetDataSetFrom_18(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataObjectTree *op;
  vtkDataObjectTreeIterator  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkDataObjectTreeIterator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetFrom(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTree_GetDataSet_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectTree *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTree_GetMetaData_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectTree *op;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_HasMetaData_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectTree *op;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_GetActualMemorySize_112(JNIEnv *env, jobject obj)
{
  vtkDataObjectTree *op;
   unsigned long     temp20;

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectTree_Initialize_113(JNIEnv *env, jobject obj)
{
  vtkDataObjectTree *op;

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectTree_ShallowCopy_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectTree *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectTree_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectTree *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_GetNumberOfPoints_116(JNIEnv *env, jobject obj)
{
  vtkDataObjectTree *op;
  long long   temp20;

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTree_GetNumberOfCells_117(JNIEnv *env, jobject obj)
{
  vtkDataObjectTree *op;
  long long   temp20;

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTree_GetData_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectTree *op;
  vtkInformation  *temp0;
  vtkDataObjectTree  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTree_GetData_119(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataObjectTree *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkDataObjectTree  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataObjectTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}
