// java wrapper for vtkDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSet",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSet *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSet *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_CopyStructure_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_CopyAttributes_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAttributes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetNumberOfPoints_16(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  long long   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetNumberOfCells_17(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  long long   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetPoint_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  long long   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetPoint_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkDataSet *op;
  long long   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_NewCellIterator_110(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkCellIterator  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewCellIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetCell_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  long long   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetCell_112(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkDataSet *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkCell  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_SetCellOrderAndRationalWeights_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSet *op;
  long long   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellOrderAndRationalWeights(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCell_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSet *op;
  long long   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellBounds_115(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkDataSet *op;
  long long   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetCellType_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellTypes_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkCellTypes  *temp0;
  temp0 = (vtkCellTypes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellTypes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellPoints_118(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSet *op;
  long long   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetPointCells_119(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSet *op;
  long long   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellNeighbors_120(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkDataSet *op;
  long long   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_FindPoint_121(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDataSet *op;
  double   temp0;
  double   temp1;
  double   temp2;
  long long   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_FindPoint_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[3];
  void *tempArray0;
  long long   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetMTime_123(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
   unsigned long     temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetCellData_124(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkCellData  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetPointData_125(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkPointData  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_Squeeze_126(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_ComputeBounds_127(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetBounds_128(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetBounds_129(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetCenter_130(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCenter_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataSet_GetLength_132(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_Initialize_133(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetScalarRange_134(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetScalarRange_135(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetMaxCellSize_136(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  int      temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetActualMemorySize_137(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
   unsigned long     temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetDataObjectType_138(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  int      temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_ShallowCopy_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_DeepCopy_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_CheckAttributes_141(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  int      temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckAttributes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GenerateGhostArray_142(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataSet *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateGhostArray(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GenerateGhostArray_143(JNIEnv *env, jobject obj,jintArray id0,jboolean id1)
{
  vtkDataSet *op;
  int    temp0[6];
  void *tempArray0;
  bool   temp1;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  temp1 = (id1 != 0) ? true : false;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateGhostArray(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetData_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkInformation  *temp0;
  vtkDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetData_145(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetAttributesAsFieldData_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  int      temp0;
  vtkFieldData  *temp20;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributesAsFieldData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetNumberOfElements_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  int      temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfElements(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDataSet_HasAnyGhostCells_148(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  bool   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasAnyGhostCells();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDataSet_HasAnyGhostPoints_149(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  bool   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasAnyGhostPoints();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDataSet_HasAnyBlankCells_150(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  bool   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasAnyBlankCells();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDataSet_HasAnyBlankPoints_151(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  bool   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasAnyBlankPoints();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetPointGhostArray_152(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointGhostArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_UpdatePointGhostArrayCache_153(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdatePointGhostArrayCache();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_AllocatePointGhostArray_154(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocatePointGhostArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_GetCellGhostArray_155(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellGhostArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_UpdateCellGhostArrayCache_156(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateCellGhostArrayCache();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSet_AllocateCellGhostArray_157(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateCellGhostArray();
  return (jlong)(size_t)temp20;}
