// java wrapper for vtkTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTable.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTable",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTable *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTable *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_Dump_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTable *op;
   unsigned int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->Dump(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_GetDataObjectType_15(JNIEnv *env, jobject obj)
{
  vtkTable *op;
  int      temp20;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_GetActualMemorySize_16(JNIEnv *env, jobject obj)
{
  vtkTable *op;
   unsigned long     temp20;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTable_GetRowData_17(JNIEnv *env, jobject obj)
{
  vtkTable *op;
  vtkDataSetAttributes  *temp20;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRowData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_SetRowData_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTable *op;
  vtkDataSetAttributes  *temp0;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRowData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_GetNumberOfRows_19(JNIEnv *env, jobject obj)
{
  vtkTable *op;
  long long   temp20;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_SetNumberOfRows_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfRows(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTable_GetRow_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  long long   temp0;
  vtkVariantArray  *temp20;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRow(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_GetRow_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTable *op;
  long long   temp0;
  vtkVariantArray  *temp1;
  temp0 = id0;
  temp1 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRow(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_SetRow_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTable *op;
  long long   temp0;
  vtkVariantArray  *temp1;
  temp0 = id0;
  temp1 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRow(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_InsertNextBlankRow_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTable *op;
  double   temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextBlankRow(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_InsertNextRow_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTable *op;
  vtkVariantArray  *temp0;
  long long   temp20;
  temp0 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextRow(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_RemoveRow_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveRow(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_GetNumberOfColumns_117(JNIEnv *env, jobject obj)
{
  vtkTable *op;
  long long   temp20;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColumns();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTable_GetColumnName_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  long long   temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTable_GetColumnByName_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTable *op;
  char    *temp0;
  vtkAbstractArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnByName(temp0);
  delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTable_GetColumn_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  long long   temp0;
  vtkAbstractArray  *temp20;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumn(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_AddColumn_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTable *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->AddColumn(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_RemoveColumnByName_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTable *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveColumnByName(temp0);
  delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_RemoveColumn_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveColumn(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_Initialize_124(JNIEnv *env, jobject obj)
{
  vtkTable *op;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTable_GetData_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTable *op;
  vtkInformation  *temp0;
  vtkTable  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTable_GetData_126(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkTable *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkTable  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_ShallowCopy_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTable *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTable_DeepCopy_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTable *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTable_GetAttributesAsFieldData_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  int      temp0;
  vtkFieldData  *temp20;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributesAsFieldData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTable_GetNumberOfElements_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkTable *op;
  int      temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfElements(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTable_VTKInit(JNIEnv *, jobject)
{
  vtkTable *aNewOne = vtkTable::New();
  return (jlong)(size_t)(void*)aNewOne;
}
