// java wrapper for vtkProgrammableSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProgrammableSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProgrammableSource",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableSource_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableSource_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableSource *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableSource_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableSource *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableSource_SetExecuteMethod_14(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkProgrammableSource *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  char *temp0_str;
  temp0_str = vtkJavaUTFToChar(env,id1);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),temp0_str,"()V");

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExecuteMethod(vtkJavaVoidFunc,(void *)temp0);
  op->SetExecuteMethodArgDelete(vtkJavaVoidFuncArgDelete);
  delete[] temp0_str;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetPolyDataOutput_15(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkPolyData  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetStructuredPointsOutput_16(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkStructuredPoints  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetStructuredGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkStructuredGrid  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetUnstructuredGridOutput_18(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetRectilinearGridOutput_19(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetGraphOutput_110(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkGraph  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetMoleculeOutput_111(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkMolecule  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMoleculeOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetTableOutput_112(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkTable  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProgrammableSource_VTKInit(JNIEnv *, jobject)
{
  vtkProgrammableSource *aNewOne = vtkProgrammableSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
