// java wrapper for vtkGeoTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkAbstractTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoTransform",dType)) { return me; }
  if ((res= vtkAbstractTransform_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTransform_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTransform_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTransform *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTransform_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTransform *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_SetSourceProjection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp0;
  temp0 = (vtkGeoProjection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceProjection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTransform_GetSourceProjection_15(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp20;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceProjection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_SetDestinationProjection_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp0;
  temp0 = (vtkGeoProjection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDestinationProjection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTransform_GetDestinationProjection_17(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp20;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDestinationProjection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_TransformPoints_18(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGeoTransform *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_Inverse_19(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_InternalTransformPoint_110(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkGeoTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->InternalTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTransform_ComputeUTMZone_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGeoTransform *op;
  double   temp0;
  double   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeUTMZone(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTransform_MakeTransform_112(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoTransform_VTKInit(JNIEnv *, jobject)
{
  vtkGeoTransform *aNewOne = vtkGeoTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
