// java wrapper for vtkTreeMapLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapLayout.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkTreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeMapLayout_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeMapLayout",dType)) { return me; }
  if ((res= vtkTreeAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayout_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayout *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayout_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayout *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayout_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayout *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayout_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayout *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapLayout_GetRectanglesFieldName_14(JNIEnv *env, jobject obj)
{
  vtkTreeMapLayout *op;
  char    *temp20;

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectanglesFieldName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapLayout_SetRectanglesFieldName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayout *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRectanglesFieldName(temp0);
  delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapLayout_SetSizeArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayout *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizeArrayName(temp0);
  delete[] temp0;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeMapLayout_GetLayoutStrategy_17(JNIEnv *env, jobject obj)
{
  vtkTreeMapLayout *op;
  vtkTreeMapLayoutStrategy  *temp20;

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapLayout_SetLayoutStrategy_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeMapLayout *op;
  vtkTreeMapLayoutStrategy  *temp0;
  temp0 = (vtkTreeMapLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayout_GetMTime_19(JNIEnv *env, jobject obj)
{
  vtkTreeMapLayout *op;
   unsigned long     temp20;

  op = (vtkTreeMapLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeMapLayout_VTKInit(JNIEnv *, jobject)
{
  vtkTreeMapLayout *aNewOne = vtkTreeMapLayout::New();
  return (jlong)(size_t)(void*)aNewOne;
}
