// java wrapper for vtkViewport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkViewport.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkViewport_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkViewport",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewport_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkViewport *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewport_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkViewport *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewport_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkViewport *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewport_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkViewport *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_AddViewProp_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkViewport *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->AddViewProp(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_GetViewProps_15(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  vtkPropCollection  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewProps();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewport_HasViewProp_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkViewport *op;
  vtkProp  *temp0;
  int      temp20;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasViewProp(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_RemoveViewProp_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkViewport *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveViewProp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_RemoveAllViewProps_18(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllViewProps();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_AddActor2D_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkViewport *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->AddActor2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_RemoveActor2D_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkViewport *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveActor2D(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_GetActors2D_111(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  vtkActor2DCollection  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActors2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetBackground_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackground(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetBackground_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackground(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetBackground_114(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackground();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetBackground2_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackground2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetBackground2_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackground2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetBackground2_117(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackground2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetBackgroundAlpha_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewport *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundAlpha(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetBackgroundAlphaMinValue_119(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundAlphaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetBackgroundAlphaMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundAlphaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetBackgroundAlpha_121(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundAlpha();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetGradientBackground_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkViewport *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientBackground(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkViewport_GetGradientBackground_123(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  bool   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientBackground();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_GradientBackgroundOn_124(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientBackgroundOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_GradientBackgroundOff_125(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientBackgroundOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetAspect_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAspect(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetAspect_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAspect(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetAspect_128(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAspect();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_ComputeAspect_129(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeAspect();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetPixelAspect_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPixelAspect(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetPixelAspect_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPixelAspect(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetPixelAspect_132(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPixelAspect();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetViewport_133(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewport(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetViewport_134(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewport(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetViewport_135(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewport();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetDisplayPoint_136(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetDisplayPoint_137(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetDisplayPoint_138(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetViewPoint_139(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetViewPoint_140(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetViewPoint_141(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetWorldPoint_142(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldPoint(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetWorldPoint_143(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetWorldPoint_144(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWorldPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetCenter_145(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewport_IsInViewport_146(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkViewport *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInViewport(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_GetVTKWindow_147(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  vtkWindow  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_DisplayToView_148(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->DisplayToView();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_ViewToDisplay_149(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->ViewToDisplay();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_WorldToView_150(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->WorldToView();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_ViewToWorld_151(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->ViewToWorld();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_DisplayToWorld_152(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->DisplayToWorld();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_WorldToDisplay_153(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->WorldToDisplay();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetSize_154(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  int     *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetOrigin_155(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  int     *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_PickProp_156(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  vtkAssemblyPath  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickProp(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_PickProp_157(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkAssemblyPath  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickProp(temp0,temp1,temp2,temp3);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_PickPropFrom_158(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jobject id2)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  vtkPropCollection  *temp2;
  vtkAssemblyPath  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickPropFrom(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_PickPropFrom_159(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jobject id4)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkPropCollection  *temp4;
  vtkAssemblyPath  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickPropFrom(temp0,temp1,temp2,temp3,temp4);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickX_160(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickX();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickY_161(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickY();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickWidth_162(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickWidth();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickHeight_163(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickHeight();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickX1_164(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickX1();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickY1_165(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickY1();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickX2_166(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickX2();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickY2_167(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickY2();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewport_GetPickResultProps_168(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  vtkPropCollection  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickResultProps();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewport_GetPickedZ_169(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickedZ();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetEnvironmentalBG_170(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnvironmentalBG(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetEnvironmentalBG_171(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnvironmentalBG(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetEnvironmentalBG_172(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnvironmentalBG();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetEnvironmentalBG2_173(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkViewport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnvironmentalBG2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetEnvironmentalBG2_174(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkViewport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnvironmentalBG2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkViewport_GetEnvironmentalBG2_175(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  double  *temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnvironmentalBG2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_SetGradientEnvironmentalBG_176(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkViewport *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientEnvironmentalBG(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkViewport_GetGradientEnvironmentalBG_177(JNIEnv *env, jobject obj)
{
  vtkViewport *op;
  bool   temp20;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientEnvironmentalBG();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_GradientEnvironmentalBGOn_178(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientEnvironmentalBGOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewport_GradientEnvironmentalBGOff_179(JNIEnv *env, jobject obj)
{
  vtkViewport *op;

  op = (vtkViewport *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientEnvironmentalBGOff();
}
