// java wrapper for vtkOpenGLTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLTexture.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkTexture_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLTexture_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLTexture",dType)) { return me; }
  if ((res= vtkTexture_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLTexture *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLTexture *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLTexture *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLTexture *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_Render_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_Load_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->Load(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_PostRender_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->PostRender(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_ReleaseGraphicsResources_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLTexture *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_CopyTexImage_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkOpenGLTexture *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTexImage(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_GetIsDepthTexture_19(JNIEnv *env, jobject obj)
{
  vtkOpenGLTexture *op;
  int      temp20;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsDepthTexture();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_SetIsDepthTexture_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIsDepthTexture(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_GetTextureType_111(JNIEnv *env, jobject obj)
{
  vtkOpenGLTexture *op;
  int      temp20;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_SetTextureType_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureType(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOpenGLTexture_GetTextureObject_113(JNIEnv *env, jobject obj)
{
  vtkOpenGLTexture *op;
  vtkTextureObject  *temp20;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureObject();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLTexture_SetTextureObject_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLTexture *op;
  vtkTextureObject  *temp0;
  temp0 = (vtkTextureObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureObject(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_GetTextureUnit_115(JNIEnv *env, jobject obj)
{
  vtkOpenGLTexture *op;
  int      temp20;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureUnit();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLTexture_IsTranslucent_116(JNIEnv *env, jobject obj)
{
  vtkOpenGLTexture *op;
  int      temp20;

  op = (vtkOpenGLTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTranslucent();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLTexture_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLTexture *aNewOne = vtkOpenGLTexture::New();
  return (jlong)(size_t)(void*)aNewOne;
}
