// python wrapper for vtkStatisticsAlgorithmPrivate
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkStdString.h"
#include "vtkStatisticsAlgorithmPrivate.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkStatisticsAlgorithmPrivate(PyObject *dict); }

static const char *PyvtkStatisticsAlgorithmPrivate_Doc =
  "vtkStatisticsAlgorithmPrivate - no description provided.\n\n"

  "vtkStatisticsAlgorithmPrivate()\n"
  "vtkStatisticsAlgorithmPrivate(const &vtkStatisticsAlgorithmPrivate)\n";


static PyObject *
PyvtkStatisticsAlgorithmPrivate_ResetRequests(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetRequests");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    op->ResetRequests();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_ResetBuffer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetBuffer");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = op->ResetBuffer();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_SetBufferColumnStatus(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBufferColumnStatus");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  const char *temp0 = nullptr;
  int temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    int tempr = op->SetBufferColumnStatus(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_AddBufferToRequests(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddBufferToRequests");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = op->AddBufferToRequests();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_AddColumnToRequests(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddColumnToRequests");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = op->AddColumnToRequests(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_AddColumnPairToRequests(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddColumnPairToRequests");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  const char *temp0 = nullptr;
  const char *temp1 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
  {
    int tempr = op->AddColumnPairToRequests(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_GetNumberOfRequests(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfRequests");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    long long tempr = op->GetNumberOfRequests();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_GetNumberOfColumnsForRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfColumnsForRequest");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  long long temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = op->GetNumberOfColumnsForRequest(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_GetColumnForRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnForRequest");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkStatisticsAlgorithmPrivate *op = static_cast<vtkStatisticsAlgorithmPrivate *>(vp);

  long long temp0;
  long long temp1;
  vtkStdString temp2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    bool tempr = op->GetColumnForRequest(temp0, temp1, temp2);

    if (!ap.ErrorOccurred())
    {
      ap.SetArgValue(2, temp2);
    }
    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkStatisticsAlgorithmPrivate_Methods[] = {
  {"ResetRequests", PyvtkStatisticsAlgorithmPrivate_ResetRequests, METH_VARARGS,
   "V.ResetRequests()\nC++: void ResetRequests()\n\nEmpty current set of requests\n"},
  {"ResetBuffer", PyvtkStatisticsAlgorithmPrivate_ResetBuffer, METH_VARARGS,
   "V.ResetBuffer() -> int\nC++: int ResetBuffer()\n\nEmpty current buffer\n"},
  {"SetBufferColumnStatus", PyvtkStatisticsAlgorithmPrivate_SetBufferColumnStatus, METH_VARARGS,
   "V.SetBufferColumnStatus(string, int) -> int\nC++: int SetBufferColumnStatus(const char *colName, int status)\n\n"},
  {"AddBufferToRequests", PyvtkStatisticsAlgorithmPrivate_AddBufferToRequests, METH_VARARGS,
   "V.AddBufferToRequests() -> int\nC++: int AddBufferToRequests()\n\n"},
  {"AddColumnToRequests", PyvtkStatisticsAlgorithmPrivate_AddColumnToRequests, METH_VARARGS,
   "V.AddColumnToRequests(string) -> int\nC++: int AddColumnToRequests(const char *col)\n\nThis function does not use the buffer like other column selection\nmethods.\n"},
  {"AddColumnPairToRequests", PyvtkStatisticsAlgorithmPrivate_AddColumnPairToRequests, METH_VARARGS,
   "V.AddColumnPairToRequests(string, string) -> int\nC++: int AddColumnPairToRequests(const char *cola,\n    const char *colb)\n\nThis function does not use the buffer like other column selection\nmethods.\n"},
  {"GetNumberOfRequests", PyvtkStatisticsAlgorithmPrivate_GetNumberOfRequests, METH_VARARGS,
   "V.GetNumberOfRequests() -> int\nC++: vtkIdType GetNumberOfRequests()\n\nReturn the number of currently-defined requests\n"},
  {"GetNumberOfColumnsForRequest", PyvtkStatisticsAlgorithmPrivate_GetNumberOfColumnsForRequest, METH_VARARGS,
   "V.GetNumberOfColumnsForRequest(int) -> int\nC++: vtkIdType GetNumberOfColumnsForRequest(vtkIdType r)\n\nReturn the number of columns associated with request r.\n"},
  {"GetColumnForRequest", PyvtkStatisticsAlgorithmPrivate_GetColumnForRequest, METH_VARARGS,
   "V.GetColumnForRequest(int, int, string) -> bool\nC++: bool GetColumnForRequest(vtkIdType r, vtkIdType c,\n    vtkStdString &columnName)\n\nProvide the name of the c-th column of the r-th request in\ncolumnName. Returns false if the request or column does not exist\nand true otherwise.\n"},
  {nullptr, nullptr, 0, nullptr}
};


static PyObject *
PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "vtkStatisticsAlgorithmPrivate");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkStatisticsAlgorithmPrivate *op = new vtkStatisticsAlgorithmPrivate();

    result = PyVTKSpecialObject_New("vtkStatisticsAlgorithmPrivate", op);
  }

  return result;
}

static PyObject *
PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "vtkStatisticsAlgorithmPrivate");

  vtkStatisticsAlgorithmPrivate *temp0 = nullptr;
  PyObject *pobj0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkStatisticsAlgorithmPrivate"))
  {
    vtkStatisticsAlgorithmPrivate *op = new vtkStatisticsAlgorithmPrivate(*temp0);

    result = PyVTKSpecialObject_New("vtkStatisticsAlgorithmPrivate", op);
  }

  Py_XDECREF(pobj0);

  return result;
}

static PyMethodDef PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate_Methods[] = {
  {nullptr, PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate_s2, METH_VARARGS,
   "@W vtkStatisticsAlgorithmPrivate"},
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 0:
      return PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate_s1(self, args);
    case 1:
      return PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "vtkStatisticsAlgorithmPrivate");
  return nullptr;
}


static PyObject *
PyvtkStatisticsAlgorithmPrivate_New(PyTypeObject *, PyObject *args, PyObject *kwds)
{
  if (kwds && PyDict_Size(kwds))
  {
    PyErr_SetString(PyExc_TypeError,
                    "this function takes no keyword arguments");
    return nullptr;
  }

  return PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate(nullptr, args);
}

static void PyvtkStatisticsAlgorithmPrivate_Delete(PyObject *self)
{
  PyVTKSpecialObject *obj = (PyVTKSpecialObject *)self;
  delete static_cast<vtkStatisticsAlgorithmPrivate *>(obj->vtk_ptr);
  PyObject_Del(self);
}

static Py_hash_t PyvtkStatisticsAlgorithmPrivate_Hash(PyObject *self)
{
#if PY_VERSION_HEX >= 0x020600B2
  return PyObject_HashNotImplemented(self);
#else
  char text[256];
  sprintf(text, "unhashable type: '%s'", Py_TYPE(self)->tp_name);
  PyErr_SetString(PyExc_TypeError, text);
  return -1;
#endif
}

static PyTypeObject PyvtkStatisticsAlgorithmPrivate_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkFiltersStatistics.vtkStatisticsAlgorithmPrivate", // tp_name
  sizeof(PyVTKSpecialObject), // tp_basicsize
  0, // tp_itemsize
  PyvtkStatisticsAlgorithmPrivate_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKSpecialObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  PyvtkStatisticsAlgorithmPrivate_Hash, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  PyvtkStatisticsAlgorithmPrivate_Doc, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyvtkStatisticsAlgorithmPrivate_New, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static void *PyvtkStatisticsAlgorithmPrivate_CCopy(const void *obj)
{
  if (obj)
  {
    return new vtkStatisticsAlgorithmPrivate(*static_cast<const vtkStatisticsAlgorithmPrivate*>(obj));
  }
  return 0;
}

extern "C" { PyObject *PyvtkStatisticsAlgorithmPrivate_TypeNew(); }

PyObject *PyvtkStatisticsAlgorithmPrivate_TypeNew()
{
  PyTypeObject *pytype = PyVTKSpecialType_Add(
    &PyvtkStatisticsAlgorithmPrivate_Type,
    PyvtkStatisticsAlgorithmPrivate_Methods,
    PyvtkStatisticsAlgorithmPrivate_vtkStatisticsAlgorithmPrivate_Methods,
    &PyvtkStatisticsAlgorithmPrivate_CCopy);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkStatisticsAlgorithmPrivate(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkStatisticsAlgorithmPrivate_TypeNew();

  if (o && PyDict_SetItemString(dict, "vtkStatisticsAlgorithmPrivate", o) != 0)
  {
    Py_DECREF(o);
  }

}

