// python wrapper for vtkMPI4PyCommunicator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkMPI4PyCommunicator.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkMPI4PyCommunicator(PyObject *dict); }

static const char *PyvtkMPI4PyCommunicator_Doc =
  "vtkMPI4PyCommunicator - Class for bridging MPI4Py with\nvtkMPICommunicator.\n\n"
  "Superclass: vtkObject\n\n"
  "This class can be used to convert between VTK and MPI4Py\n"
  "communicators.\n\n"
  "@sa\n"
  "vtkMPICommunicator\n\n"
  "vtkMPI4PyCommunicator()\n";


static PyObject *
PyvtkMPI4PyCommunicator_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkMPI4PyCommunicator::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkMPI4PyCommunicator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkMPI4PyCommunicator *op = static_cast<vtkMPI4PyCommunicator *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = op->IsA(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkMPI4PyCommunicator_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkMPI4PyCommunicator *tempr = vtkMPI4PyCommunicator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkMPI4PyCommunicator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkMPI4PyCommunicator *op = static_cast<vtkMPI4PyCommunicator *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkMPI4PyCommunicator *tempr = op->NewInstance();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkMPI4PyCommunicator_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = vtkMPI4PyCommunicator::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkMPI4PyCommunicator_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  void *vp = ap.GetSelfSpecialPointer(self, args);
  vtkMPI4PyCommunicator *op = static_cast<vtkMPI4PyCommunicator *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = op->GetNumberOfGenerationsFromBase(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkMPI4PyCommunicator_ConvertToPython(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "ConvertToPython");

  vtkMPICommunicator *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMPICommunicator"))
  {
    PyObject *tempr = vtkMPI4PyCommunicator::ConvertToPython(temp0);

    if (!ap.ErrorOccurred())
    {
      result = tempr;
    }
  }

  return result;
}


static PyObject *
PyvtkMPI4PyCommunicator_ConvertToVTK(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "ConvertToVTK");

  PyObject *temp0;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetPythonObject(temp0))
  {
    vtkMPICommunicator *tempr = vtkMPI4PyCommunicator::ConvertToVTK(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkMPI4PyCommunicator_Methods[] = {
  {"IsTypeOf", PyvtkMPI4PyCommunicator_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkMPI4PyCommunicator_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkMPI4PyCommunicator_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkMPI4PyCommunicator\nC++: static vtkMPI4PyCommunicator *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkMPI4PyCommunicator_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkMPI4PyCommunicator\nC++: vtkMPI4PyCommunicator *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkMPI4PyCommunicator_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkMPI4PyCommunicator_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"ConvertToPython", PyvtkMPI4PyCommunicator_ConvertToPython, METH_VARARGS,
   "V.ConvertToPython(vtkMPICommunicator) -> PyObject\nC++: static PyObject *ConvertToPython(vtkMPICommunicator *comm)\n\nConvert a VTK communicator into an mpi4py communicator.\n"},
  {"ConvertToVTK", PyvtkMPI4PyCommunicator_ConvertToVTK, METH_VARARGS,
   "V.ConvertToVTK(PyObject) -> vtkMPICommunicator\nC++: static vtkMPICommunicator *ConvertToVTK(PyObject *comm)\n\nConvert an mpi4py communicator into a VTK communicator.\n"},
  {nullptr, nullptr, 0, nullptr}
};


static PyObject *
PyvtkMPI4PyCommunicator_vtkMPI4PyCommunicator(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "vtkMPI4PyCommunicator");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkMPI4PyCommunicator *op = new vtkMPI4PyCommunicator();

    result = PyVTKSpecialObject_New("vtkMPI4PyCommunicator", op);
  }

  return result;
}

static PyMethodDef PyvtkMPI4PyCommunicator_vtkMPI4PyCommunicator_Methods[] = {
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkMPI4PyCommunicator_New(PyTypeObject *, PyObject *args, PyObject *kwds)
{
  if (kwds && PyDict_Size(kwds))
  {
    PyErr_SetString(PyExc_TypeError,
                    "this function takes no keyword arguments");
    return nullptr;
  }

  return PyvtkMPI4PyCommunicator_vtkMPI4PyCommunicator(nullptr, args);
}

static void PyvtkMPI4PyCommunicator_Delete(PyObject *self)
{
  PyVTKSpecialObject *obj = (PyVTKSpecialObject *)self;
  delete static_cast<vtkMPI4PyCommunicator *>(obj->vtk_ptr);
  PyObject_Del(self);
}

static Py_hash_t PyvtkMPI4PyCommunicator_Hash(PyObject *self)
{
#if PY_VERSION_HEX >= 0x020600B2
  return PyObject_HashNotImplemented(self);
#else
  char text[256];
  sprintf(text, "unhashable type: '%s'", Py_TYPE(self)->tp_name);
  PyErr_SetString(PyExc_TypeError, text);
  return -1;
#endif
}

static PyTypeObject PyvtkMPI4PyCommunicator_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "(null).vtkMPI4PyCommunicator", // tp_name
  sizeof(PyVTKSpecialObject), // tp_basicsize
  0, // tp_itemsize
  PyvtkMPI4PyCommunicator_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKSpecialObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  PyvtkMPI4PyCommunicator_Hash, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  PyvtkMPI4PyCommunicator_Doc, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyvtkMPI4PyCommunicator_New, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

extern "C" { PyObject *PyvtkMPI4PyCommunicator_TypeNew(); }

PyObject *PyvtkMPI4PyCommunicator_TypeNew()
{
  PyTypeObject *pytype = PyVTKSpecialType_Add(
    &PyvtkMPI4PyCommunicator_Type,
    PyvtkMPI4PyCommunicator_Methods,
    PyvtkMPI4PyCommunicator_vtkMPI4PyCommunicator_Methods,
    nullptr);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkMPI4PyCommunicator(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkMPI4PyCommunicator_TypeNew();

  if (o && PyDict_SetItemString(dict, "vtkMPI4PyCommunicator", o) != 0)
  {
    Py_DECREF(o);
  }

}

