// java wrapper for vtkIntArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIntArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIntArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIntArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkIntArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkIntArray *op;
  int  *temp20;
  vtkIdType size;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<int*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfIntFromInt(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntArray_SetJavaArray_10(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkIntArray *op;
  int *tempArray0;
  int length;
  tempArray0 = (int *)(env->GetIntArrayElements(id0,nullptr));
  length = env->GetArrayLength(id0);
  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(int));
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIntArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIntArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIntArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIntArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkIntArray *op;
  int      temp20;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_GetValue_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkIntArray *op;
  long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntArray_SetValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkIntArray *op;
  long long   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkIntArray_SetNumberOfValues_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkIntArray *op;
  long long   temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNumberOfValues(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntArray_InsertValue_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkIntArray *op;
  long long   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_InsertNextValue_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkIntArray *op;
  int      temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkIntArray_GetValueRange_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkIntArray *op;
  int      temp0;
  int     *temp20;
  temp0 = id0;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkIntArray_GetValueRange_111(JNIEnv *env, jobject obj)
{
  vtkIntArray *op;
  int     *temp20;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIntArray_FastDownCast_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIntArray *op;
  vtkAbstractArray  *temp0;
  vtkIntArray  *temp20;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FastDownCast(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_GetDataTypeValueMin_113(JNIEnv *env, jobject obj)
{
  vtkIntArray *op;
  int      temp20;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntArray_GetDataTypeValueMax_114(JNIEnv *env, jobject obj)
{
  vtkIntArray *op;
  int      temp20;

  op = (vtkIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkIntArray_VTKInit(JNIEnv *, jobject)
{
  vtkIntArray *aNewOne = vtkIntArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
