// java wrapper for vtkPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkPointSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyData",dType)) { return me; }
  if ((res= vtkPointSet_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyData *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyData *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetDataObjectType_14(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_CopyStructure_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfCells_16(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  long long   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetCell_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  long long   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCell_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  long long   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetCellType_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellBounds_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPolyData *op;
  long long   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellNeighbors_111(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkPolyData *op;
  long long   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_CopyCells_112(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkPolyData *op;
  vtkPolyData  *temp0;
  vtkIdList  *temp1;
  vtkIncrementalPointLocator  *temp2;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyCells(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellPoints_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  long long   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetPointCells_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  long long   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ComputeBounds_115(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Squeeze_116(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetMaxCellSize_117(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetVerts_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerts(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetVerts_119(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerts();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetLines_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLines(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetLines_121(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLines();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetPolys_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolys(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetPolys_123(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolys();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_SetStrips_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStrips(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetStrips_125(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  vtkCellArray  *temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStrips();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfVerts_126(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  long long   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVerts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfLines_127(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  long long   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLines();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfPolys_128(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  long long   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPolys();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfStrips_129(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  long long   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfStrips();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyData_AllocateEstimate_130(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateEstimate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyData_AllocateEstimate_131(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6,jint id7)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  long long   temp2;
  long long   temp3;
  long long   temp4;
  long long   temp5;
  long long   temp6;
  long long   temp7;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateEstimate(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyData_AllocateExact_132(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateExact(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyData_AllocateExact_133(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6,jint id7)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  long long   temp2;
  long long   temp3;
  long long   temp4;
  long long   temp5;
  long long   temp6;
  long long   temp7;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateExact(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyData_AllocateCopy_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkPolyData  *temp0;
  bool   temp20;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateCopy(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyData_AllocateProportional_135(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkPolyData *op;
  vtkPolyData  *temp0;
  double   temp1;
  bool   temp20;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateProportional(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Allocate_136(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Allocate_137(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkPolyData *op;
  vtkPolyData  *temp0;
  long long   temp1;
  int      temp2;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_InsertNextCell_138(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  int      temp0;
  vtkIdList  *temp1;
  long long   temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Reset_139(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_BuildCells_140(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildCells();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyData_NeedToBuildCells_141(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  bool   temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NeedToBuildCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_BuildLinks_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLinks(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeleteCells_143(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteCells();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeleteLinks_144(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteLinks();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_GetCellEdgeNeighbors_145(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  long long   temp2;
  vtkIdList  *temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellEdgeNeighbors(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsTriangle_146(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPolyData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTriangle(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsEdge_147(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsEdge(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_IsPointUsedByCell_148(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsPointUsedByCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ReplaceCell_149(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  long long   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ReplaceCellPoint_150(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  long long   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceCellPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ReverseCell_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseCell(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeletePoint_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeletePoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeleteCell_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteCell(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_RemoveDeletedCells_154(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveDeletedCells();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_InsertNextLinkedPoint_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  int      temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextLinkedPoint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_InsertNextLinkedPoint_156(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkPolyData *op;
  double temp0[3];
  void *tempArray0;
  int      temp1;
  long long   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextLinkedPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_RemoveCellReference_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveCellReference(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_AddCellReference_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyData *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCellReference(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_RemoveReferenceToCell_159(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_AddReferenceToCell_160(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  long long   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->AddReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ResizeCellList_161(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ResizeCellList(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_Initialize_162(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetPiece_163(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetNumberOfPieces_164(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetGhostLevel_165(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
  int      temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetActualMemorySize_166(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
   unsigned long     temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_ShallowCopy_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_DeepCopy_168(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyData_RemoveGhostCells_169(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveGhostCells();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetData_170(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyData *op;
  vtkInformation  *temp0;
  vtkPolyData  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetData_171(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkPolyData *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkPolyData  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetScalarFieldCriticalIndex_172(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyData *op;
  long long   temp0;
  vtkDataArray  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarFieldCriticalIndex(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetScalarFieldCriticalIndex_173(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyData *op;
  long long   temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarFieldCriticalIndex(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetScalarFieldCriticalIndex_174(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkPolyData *op;
  long long   temp0;
  char    *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarFieldCriticalIndex(temp0,temp1);
  delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetMeshMTime_175(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
   unsigned long     temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeshMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyData_GetMTime_176(JNIEnv *env, jobject obj)
{
  vtkPolyData *op;
   unsigned long     temp20;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyData_GetCell_177(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPolyData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkCell  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkPolyData *aNewOne = vtkPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
