// java wrapper for vtkEnsembleSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEnsembleSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEnsembleSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEnsembleSource",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnsembleSource_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnsembleSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnsembleSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnsembleSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnsembleSource_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnsembleSource *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnsembleSource_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnsembleSource *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnsembleSource_AddMember_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEnsembleSource *op;
  vtkAlgorithm  *temp0;
  temp0 = (vtkAlgorithm *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddMember(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnsembleSource_RemoveAllMembers_15(JNIEnv *env, jobject obj)
{
  vtkEnsembleSource *op;

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllMembers();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnsembleSource_GetNumberOfMembers_16(JNIEnv *env, jobject obj)
{
  vtkEnsembleSource *op;
   unsigned int      temp20;

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfMembers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnsembleSource_SetCurrentMember_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnsembleSource *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentMember(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnsembleSource_GetCurrentMember_18(JNIEnv *env, jobject obj)
{
  vtkEnsembleSource *op;
   unsigned int      temp20;

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentMember();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnsembleSource_SetMetaData_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEnsembleSource *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMetaData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkEnsembleSource_META_1DATA_110(JNIEnv *env, jobject obj)
{
  vtkEnsembleSource *op;
  vtkInformationDataObjectMetaDataKey  *temp20;

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->META_DATA();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkEnsembleSource_UPDATE_1MEMBER_111(JNIEnv *env, jobject obj)
{
  vtkEnsembleSource *op;
  vtkInformationIntegerRequestKey  *temp20;

  op = (vtkEnsembleSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UPDATE_MEMBER();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEnsembleSource_VTKInit(JNIEnv *, jobject)
{
  vtkEnsembleSource *aNewOne = vtkEnsembleSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
