// java wrapper for vtkMoleculeAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMoleculeAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMoleculeAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMoleculeAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMoleculeAlgorithm_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMoleculeAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMoleculeAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMoleculeAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMoleculeAlgorithm_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMoleculeAlgorithm *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMoleculeAlgorithm_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMoleculeAlgorithm *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMoleculeAlgorithm_GetOutput_14(JNIEnv *env, jobject obj)
{
  vtkMoleculeAlgorithm *op;
  vtkMolecule  *temp20;

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMoleculeAlgorithm_GetOutput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkMoleculeAlgorithm *op;
  int      temp0;
  vtkMolecule  *temp20;
  temp0 = id0;

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeAlgorithm_SetOutput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMoleculeAlgorithm *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMoleculeAlgorithm_GetInput_17(JNIEnv *env, jobject obj)
{
  vtkMoleculeAlgorithm *op;
  vtkDataObject  *temp20;

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMoleculeAlgorithm_GetInput_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMoleculeAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMoleculeAlgorithm_GetMoleculeInput_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMoleculeAlgorithm *op;
  int      temp0;
  vtkMolecule  *temp20;
  temp0 = id0;

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMoleculeInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeAlgorithm_SetInputData_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMoleculeAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeAlgorithm_SetInputData_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkMoleculeAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputData(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeAlgorithm_AddInputData_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMoleculeAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeAlgorithm_AddInputData_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkMoleculeAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMoleculeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputData(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMoleculeAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkMoleculeAlgorithm *aNewOne = vtkMoleculeAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
