// java wrapper for vtkTemporalInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkMultiTimeStepAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTemporalInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTemporalInterpolator",dType)) { return me; }
  if ((res= vtkMultiTimeStepAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolator_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolator_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalInterpolator *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolator_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalInterpolator *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolator_SetDiscreteTimeStepInterval_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTemporalInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiscreteTimeStepInterval(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTemporalInterpolator_GetDiscreteTimeStepInterval_15(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolator *op;
  double   temp20;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiscreteTimeStepInterval();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolator_SetResampleFactor_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResampleFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolator_GetResampleFactor_17(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolator *op;
  int      temp20;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResampleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolator_SetCacheData_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTemporalInterpolator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCacheData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTemporalInterpolator_GetCacheData_19(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolator *op;
  bool   temp20;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheData();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTemporalInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkTemporalInterpolator *aNewOne = vtkTemporalInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
