// java wrapper for vtkInterpolationKernel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolationKernel.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInterpolationKernel_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInterpolationKernel",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolationKernel_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolationKernel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolationKernel_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolationKernel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolationKernel_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolationKernel *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolationKernel_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolationKernel *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolationKernel_Initialize_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkInterpolationKernel *op;
  vtkAbstractPointLocator  *temp0;
  vtkDataSet  *temp1;
  vtkPointData  *temp2;
  temp0 = (vtkAbstractPointLocator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolationKernel_SetRequiresInitialization_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkInterpolationKernel *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequiresInitialization(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkInterpolationKernel_GetRequiresInitialization_16(JNIEnv *env, jobject obj)
{
  vtkInterpolationKernel *op;
  bool   temp20;

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRequiresInitialization();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolationKernel_RequiresInitializationOn_17(JNIEnv *env, jobject obj)
{
  vtkInterpolationKernel *op;

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  op->RequiresInitializationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolationKernel_RequiresInitializationOff_18(JNIEnv *env, jobject obj)
{
  vtkInterpolationKernel *op;

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  op->RequiresInitializationOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolationKernel_ComputeBasis_19(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1,jint id2)
{
  vtkInterpolationKernel *op;
  double temp0[3];
  void *tempArray0;
  vtkIdList  *temp1;
  long long   temp2;
  long long   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeBasis(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolationKernel_ComputeWeights_110(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1,jobject id2)
{
  vtkInterpolationKernel *op;
  double temp0[3];
  void *tempArray0;
  vtkIdList  *temp1;
  vtkDoubleArray  *temp2;
  long long   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkInterpolationKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeWeights(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}
