// java wrapper for vtkDoubleArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDoubleArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDoubleArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDoubleArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkDoubleArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  double  *temp20;
  vtkIdType size;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<double*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDoubleArray_SetJavaArray_10(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDoubleArray *op;
  double *tempArray0;
  int length;
  tempArray0 = (double *)(env->GetDoubleArrayElements(id0,nullptr));
  length = env->GetArrayLength(id0);
  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(double));
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDoubleArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDoubleArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDoubleArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDoubleArray *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  int      temp20;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDoubleArray_GetValue_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDoubleArray *op;
  long long   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDoubleArray_SetValue_16(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDoubleArray *op;
  long long   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDoubleArray_SetNumberOfValues_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDoubleArray *op;
  long long   temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNumberOfValues(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDoubleArray_InsertValue_18(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDoubleArray *op;
  long long   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_InsertNextValue_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDoubleArray *op;
  double   temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDoubleArray_GetValueRange_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDoubleArray *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDoubleArray_GetValueRange_111(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  double  *temp20;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDoubleArray_FastDownCast_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDoubleArray *op;
  vtkAbstractArray  *temp0;
  vtkDoubleArray  *temp20;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FastDownCast(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDoubleArray_GetDataTypeValueMin_113(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  double   temp20;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDoubleArray_GetDataTypeValueMax_114(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  double   temp20;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDoubleArray_VTKInit(JNIEnv *, jobject)
{
  vtkDoubleArray *aNewOne = vtkDoubleArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
