// java wrapper for vtkBezierWedge object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBezierWedge.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkHigherOrderWedge_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBezierWedge_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBezierWedge",dType)) { return me; }
  if ((res= vtkHigherOrderWedge_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierWedge_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierWedge *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierWedge_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierWedge *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierWedge_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierWedge *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierWedge_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierWedge *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierWedge_GetCellType_14(JNIEnv *env, jobject obj)
{
  vtkBezierWedge *op;
  int      temp20;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierWedge_GetEdge_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkBezierWedge *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierWedge_GetFace_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBezierWedge *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBezierWedge_SetRationalWeightsFromPointData_17(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkBezierWedge *op;
  vtkPointData  *temp0;
  long long   temp1;
  temp0 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRationalWeightsFromPointData(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierWedge_getBdyQuad_18(JNIEnv *env, jobject obj)
{
  vtkBezierWedge *op;
  vtkHigherOrderQuadrilateral  *temp20;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getBdyQuad();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierWedge_getBdyTri_19(JNIEnv *env, jobject obj)
{
  vtkBezierWedge *op;
  vtkHigherOrderTriangle  *temp20;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getBdyTri();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierWedge_getEdgeCell_110(JNIEnv *env, jobject obj)
{
  vtkBezierWedge *op;
  vtkHigherOrderCurve  *temp20;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getEdgeCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierWedge_getInterp_111(JNIEnv *env, jobject obj)
{
  vtkBezierWedge *op;
  vtkHigherOrderInterpolation  *temp20;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getInterp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierWedge_GetRationalWeights_112(JNIEnv *env, jobject obj)
{
  vtkBezierWedge *op;
  vtkDoubleArray  *temp20;

  op = (vtkBezierWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRationalWeights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBezierWedge_VTKInit(JNIEnv *, jobject)
{
  vtkBezierWedge *aNewOne = vtkBezierWedge::New();
  return (jlong)(size_t)(void*)aNewOne;
}
