// java wrapper for vtkImageTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageTransform",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTransform_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTransform_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageTransform *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTransform_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageTransform *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTransform_TransformPointSet_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkImageTransform *op;
  vtkImageData  *temp0;
  vtkPointSet  *temp1;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPointSet(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTransform_TransformPoints_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkImageTransform *op;
  vtkMatrix4x4  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTransform_TransformNormals_16(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jobject id2)
{
  vtkImageTransform *op;
  vtkMatrix3x3  *temp0;
  double temp1[3];
  void *tempArray1;
  vtkDataArray  *temp2;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformNormals(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTransform_TransformVectors_17(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jobject id2)
{
  vtkImageTransform *op;
  vtkMatrix3x3  *temp0;
  double temp1[3];
  void *tempArray1;
  vtkDataArray  *temp2;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkImageTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformVectors(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageTransform_VTKInit(JNIEnv *, jobject)
{
  vtkImageTransform *aNewOne = vtkImageTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
