// java wrapper for vtkPartitionedDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPartitionedDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataObjectTree_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPartitionedDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPartitionedDataSet",dType)) { return me; }
  if ((res= vtkDataObjectTree_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPartitionedDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPartitionedDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPartitionedDataSet *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPartitionedDataSet *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_GetDataObjectType_14(JNIEnv *env, jobject obj)
{
  vtkPartitionedDataSet *op;
  int      temp20;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPartitionedDataSet_SetNumberOfPartitions_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPartitionedDataSet *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPartitions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_GetNumberOfPartitions_16(JNIEnv *env, jobject obj)
{
  vtkPartitionedDataSet *op;
   unsigned int      temp20;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPartitions();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPartitionedDataSet_GetPartition_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPartitionedDataSet *op;
   unsigned int      temp0;
  vtkDataSet  *temp20;
  temp0 = id0;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPartition(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPartitionedDataSet_GetPartitionAsDataObject_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkPartitionedDataSet *op;
   unsigned int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPartitionAsDataObject(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPartitionedDataSet_SetPartition_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPartitionedDataSet *op;
   unsigned int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPartition(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_HasMetaData_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkPartitionedDataSet *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPartitionedDataSet_GetMetaData_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPartitionedDataSet *op;
   unsigned int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPartitionedDataSet_GetData_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPartitionedDataSet *op;
  vtkInformation  *temp0;
  vtkPartitionedDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPartitionedDataSet_GetData_113(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkPartitionedDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkPartitionedDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPartitionedDataSet_GetMetaData_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPartitionedDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPartitionedDataSet_HasMetaData_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPartitionedDataSet *op;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPartitionedDataSet_RemoveNullPartitions_116(JNIEnv *env, jobject obj)
{
  vtkPartitionedDataSet *op;

  op = (vtkPartitionedDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveNullPartitions();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPartitionedDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkPartitionedDataSet *aNewOne = vtkPartitionedDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
