// java wrapper for vtkWedge object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWedge.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkCell3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWedge_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWedge",dType)) { return me; }
  if ((res= vtkCell3D_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWedge *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWedge *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWedge *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWedge *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkWedge_GetCentroid_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWedge *op;
  double temp0[3];
  void *tempArray0;
  bool   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCentroid(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkWedge_IsInsideOut_15(JNIEnv *env, jobject obj)
{
  vtkWedge *op;
  bool   temp20;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsideOut();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_GetCellType_16(JNIEnv *env, jobject obj)
{
  vtkWedge *op;
  int      temp20;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_GetCellDimension_17(JNIEnv *env, jobject obj)
{
  vtkWedge *op;
  int      temp20;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_GetNumberOfEdges_18(JNIEnv *env, jobject obj)
{
  vtkWedge *op;
  int      temp20;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_GetNumberOfFaces_19(JNIEnv *env, jobject obj)
{
  vtkWedge *op;
  int      temp20;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWedge_GetEdge_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWedge_GetFace_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_CellBoundary_112(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkWedge *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWedge_Contour_113(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkWedge *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  long long   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10));

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_Triangulate_114(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkWedge *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWedge_GetParametricCenter_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWedge *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParametricCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWedge_InterpolationFunctions_116(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkWedge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[6];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWedge_InterpolationDerivs_117(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkWedge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[18];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWedge_InterpolateFunctions_118(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkWedge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[6];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWedge_InterpolateDerivs_119(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkWedge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[18];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWedge_GetEdgeArray_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  long long   temp0;
  const long long  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeArray(temp0);
    return vtkJavaMakeJArrayOfIntFromLongLong(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWedge_GetFaceArray_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  long long   temp0;
  const long long  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceArray(temp0);
    return vtkJavaMakeJArrayOfIntFromLongLong(env,temp20,1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWedge_GetEdgeToAdjacentFacesArray_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  long long   temp0;
  const long long  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeToAdjacentFacesArray(temp0);
    return vtkJavaMakeJArrayOfIntFromLongLong(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWedge_GetFaceToAdjacentFacesArray_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  long long   temp0;
  const long long  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceToAdjacentFacesArray(temp0);
    return vtkJavaMakeJArrayOfIntFromLongLong(env,temp20,4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWedge_GetPointToIncidentEdgesArray_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  long long   temp0;
  const long long  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointToIncidentEdgesArray(temp0);
    return vtkJavaMakeJArrayOfIntFromLongLong(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWedge_GetPointToIncidentFacesArray_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  long long   temp0;
  const long long  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointToIncidentFacesArray(temp0);
    return vtkJavaMakeJArrayOfIntFromLongLong(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWedge_GetPointToOneRingPointsArray_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkWedge *op;
  long long   temp0;
  const long long  *temp20;
  temp0 = id0;

  op = (vtkWedge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointToOneRingPointsArray(temp0);
    return vtkJavaMakeJArrayOfIntFromLongLong(env,temp20,3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWedge_VTKInit(JNIEnv *, jobject)
{
  vtkWedge *aNewOne = vtkWedge::New();
  return (jlong)(size_t)(void*)aNewOne;
}
