// java wrapper for vtkHomogeneousTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHomogeneousTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkAbstractTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHomogeneousTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHomogeneousTransform",dType)) { return me; }
  if ((res= vtkAbstractTransform_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHomogeneousTransform_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHomogeneousTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHomogeneousTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHomogeneousTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHomogeneousTransform_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHomogeneousTransform *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHomogeneousTransform_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHomogeneousTransform *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHomogeneousTransform_TransformPoints_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkHomogeneousTransform *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHomogeneousTransform_GetMatrix_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHomogeneousTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetMatrix(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHomogeneousTransform_GetMatrix_16(JNIEnv *env, jobject obj)
{
  vtkHomogeneousTransform *op;
  vtkMatrix4x4  *temp20;

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHomogeneousTransform_GetHomogeneousInverse_17(JNIEnv *env, jobject obj)
{
  vtkHomogeneousTransform *op;
  vtkHomogeneousTransform  *temp20;

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHomogeneousInverse();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHomogeneousTransform_InternalTransformPoint_18(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkHomogeneousTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->InternalTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}
