// java wrapper for vtkTrimmedExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTrimmedExtrusionFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTrimmedExtrusionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTrimmedExtrusionFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTrimmedExtrusionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTrimmedExtrusionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTrimmedExtrusionFilter *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTrimmedExtrusionFilter *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetExtrusionDirection_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTrimmedExtrusionFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionDirection(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetExtrusionDirection_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTrimmedExtrusionFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionDirection(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetExtrusionDirection_16(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;
  double  *temp20;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtrusionDirection();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetTrimSurfaceData_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTrimmedExtrusionFilter *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTrimSurfaceData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetTrimSurfaceConnection_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTrimmedExtrusionFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTrimSurfaceConnection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetTrimSurface_19(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;
  vtkPolyData  *temp20;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTrimSurface();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetTrimSurface_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTrimmedExtrusionFilter *op;
  vtkInformationVector  *temp0;
  vtkPolyData  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTrimSurface(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetCapping_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTrimmedExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetCapping_112(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;
  int      temp20;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_CappingOn_113(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_CappingOff_114(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetExtrusionStrategy_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkTrimmedExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionStrategy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetExtrusionStrategy_116(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;
  int      temp20;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtrusionStrategy();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetExtrusionStrategyToBoundaryEdges_117(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionStrategyToBoundaryEdges();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetExtrusionStrategyToAllEdges_118(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionStrategyToAllEdges();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetCappingStrategy_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkTrimmedExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCappingStrategy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetCappingStrategy_120(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;
  int      temp20;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCappingStrategy();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetCappingStrategyToIntersection_121(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCappingStrategyToIntersection();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetCappingStrategyToMinimumDistance_122(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCappingStrategyToMinimumDistance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetCappingStrategyToMaximumDistance_123(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCappingStrategyToMaximumDistance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetCappingStrategyToAverageDistance_124(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCappingStrategyToAverageDistance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_SetLocator_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTrimmedExtrusionFilter *op;
  vtkAbstractCellLocator  *temp0;
  temp0 = (vtkAbstractCellLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTrimmedExtrusionFilter_GetLocator_126(JNIEnv *env, jobject obj)
{
  vtkTrimmedExtrusionFilter *op;
  vtkAbstractCellLocator  *temp20;

  op = (vtkTrimmedExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTrimmedExtrusionFilter_VTKInit(JNIEnv *, jobject)
{
  vtkTrimmedExtrusionFilter *aNewOne = vtkTrimmedExtrusionFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
