// java wrapper for vtkAutoCorrelativeStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAutoCorrelativeStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAutoCorrelativeStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAutoCorrelativeStatistics",dType)) { return me; }
  if ((res= vtkStatisticsAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAutoCorrelativeStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAutoCorrelativeStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAutoCorrelativeStatistics *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAutoCorrelativeStatistics *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_SetSliceCardinality_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkAutoCorrelativeStatistics *op;
  long long   temp0;
  temp0 = id0;

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceCardinality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_GetSliceCardinalityMinValue_15(JNIEnv *env, jobject obj)
{
  vtkAutoCorrelativeStatistics *op;
  long long   temp20;

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceCardinalityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_GetSliceCardinalityMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkAutoCorrelativeStatistics *op;
  long long   temp20;

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceCardinalityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_GetSliceCardinality_17(JNIEnv *env, jobject obj)
{
  vtkAutoCorrelativeStatistics *op;
  long long   temp20;

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceCardinality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAutoCorrelativeStatistics_Aggregate_18(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAutoCorrelativeStatistics *op;
  vtkDataObjectCollection  *temp0;
  vtkMultiBlockDataSet  *temp1;
  temp0 = (vtkDataObjectCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMultiBlockDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAutoCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->Aggregate(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAutoCorrelativeStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkAutoCorrelativeStatistics *aNewOne = vtkAutoCorrelativeStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
