// java wrapper for vtkCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCamera.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCamera_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCamera",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCamera *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCamera *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCamera *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCamera *op;
  char    *temp0;
  long long   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetPosition_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetPosition_16(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFocalPoint_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFocalPoint_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetFocalPoint_19(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFocalPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewUp_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewUp(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewUp_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewUp(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetViewUp_112(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewUp();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_OrthogonalizeViewUp_113(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->OrthogonalizeViewUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetDistance_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetDistance_115(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetDirectionOfProjection_116(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirectionOfProjection();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Dolly_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Dolly(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetRoll_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRoll(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetRoll_119(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRoll();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Roll_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Roll(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Azimuth_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Azimuth(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Yaw_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Yaw(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Elevation_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Elevation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Pitch_124(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Pitch(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetParallelProjection_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkCamera *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParallelProjection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetParallelProjection_126(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  int      temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelProjection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ParallelProjectionOn_127(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelProjectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ParallelProjectionOff_128(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelProjectionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUseHorizontalViewAngle_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkCamera *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseHorizontalViewAngle(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetUseHorizontalViewAngle_130(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  int      temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseHorizontalViewAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseHorizontalViewAngleOn_131(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->UseHorizontalViewAngleOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseHorizontalViewAngleOff_132(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->UseHorizontalViewAngleOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewAngle_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetViewAngle_134(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetParallelScale_135(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParallelScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetParallelScale_136(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Zoom_137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Zoom(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetClippingRange_138(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClippingRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetClippingRange_139(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClippingRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetClippingRange_140(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippingRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetThickness_141(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetThickness_142(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetWindowCenter_143(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowCenter(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetWindowCenter_144(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetObliqueAngles_145(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetObliqueAngles(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ApplyTransform_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyTransform(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetViewPlaneNormal_147(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewPlaneNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewShear_148(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewShear(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewShear_149(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewShear(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetViewShear_150(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewShear();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetEyeAngle_151(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEyeAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetEyeAngle_152(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEyeAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFocalDisk_153(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalDisk(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetFocalDisk_154(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFocalDisk();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFocalDistance_155(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetFocalDistance_156(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFocalDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUseOffAxisProjection_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkCamera *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseOffAxisProjection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetUseOffAxisProjection_158(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  int      temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseOffAxisProjection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseOffAxisProjectionOn_159(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->UseOffAxisProjectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseOffAxisProjectionOff_160(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->UseOffAxisProjectionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetScreenBottomLeft_161(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenBottomLeft(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetScreenBottomLeft_162(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenBottomLeft(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetScreenBottomLeft_163(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScreenBottomLeft();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetScreenBottomRight_164(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenBottomRight(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetScreenBottomRight_165(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenBottomRight(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetScreenBottomRight_166(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScreenBottomRight();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetScreenTopRight_167(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenTopRight(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetScreenTopRight_168(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenTopRight(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetScreenTopRight_169(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScreenTopRight();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetEyeSeparation_170(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEyeSeparation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetEyeSeparation_171(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEyeSeparation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetEyePosition_172(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEyePosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_GetEyePosition_173(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEyePosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_GetEyePlaneNormal_174(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEyePlaneNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetEyeTransformMatrix_175(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEyeTransformMatrix(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetEyeTransformMatrix_176(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEyeTransformMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetEyeTransformMatrix_177(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[16];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEyeTransformMatrix(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetModelTransformMatrix_178(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelTransformMatrix(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetModelTransformMatrix_179(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelTransformMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetModelTransformMatrix_180(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[16];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelTransformMatrix(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetModelViewTransformMatrix_181(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelViewTransformMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetModelViewTransformObject_182(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkTransform  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelViewTransformObject();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetViewTransformMatrix_183(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewTransformMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetViewTransformObject_184(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkTransform  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewTransformObject();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetExplicitProjectionTransformMatrix_185(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExplicitProjectionTransformMatrix(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetExplicitProjectionTransformMatrix_186(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExplicitProjectionTransformMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUseExplicitProjectionTransformMatrix_187(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCamera *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseExplicitProjectionTransformMatrix(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCamera_GetUseExplicitProjectionTransformMatrix_188(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  bool   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseExplicitProjectionTransformMatrix();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseExplicitProjectionTransformMatrixOn_189(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->UseExplicitProjectionTransformMatrixOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseExplicitProjectionTransformMatrixOff_190(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->UseExplicitProjectionTransformMatrixOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetProjectionTransformMatrix_191(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionTransformMatrix(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetProjectionTransformObject_192(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkPerspectiveTransform  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionTransformObject(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetCompositeProjectionTransformMatrix_193(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeProjectionTransformMatrix(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetProjectionTransformMatrix_194(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkRenderer  *temp0;
  vtkMatrix4x4  *temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionTransformMatrix(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUserViewTransform_195(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkHomogeneousTransform  *temp0;
  temp0 = (vtkHomogeneousTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserViewTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetUserViewTransform_196(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkHomogeneousTransform  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUserViewTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUserTransform_197(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkHomogeneousTransform  *temp0;
  temp0 = (vtkHomogeneousTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetUserTransform_198(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkHomogeneousTransform  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUserTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Render_199(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetViewingRaysMTime_1100(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
   unsigned long     temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewingRaysMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ViewingRaysModified_1101(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->ViewingRaysModified();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_GetFrustumPlanes_1102(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkCamera *op;
  double   temp0;
  double temp1[24];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->GetFrustumPlanes(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetOrientation_1103(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetOrientationWXYZ_1104(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationWXYZ();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ComputeViewPlaneNormal_1105(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeViewPlaneNormal();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetCameraLightTransformMatrix_1106(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCameraLightTransformMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UpdateViewport_1107(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateViewport(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetLeftEye_1108(JNIEnv *env, jobject obj,jint id0)
{
  vtkCamera *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftEye(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetLeftEye_1109(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  int      temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftEye();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ShallowCopy_1110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_DeepCopy_1111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFreezeFocalPoint_1112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCamera *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFreezeFocalPoint(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCamera_GetFreezeFocalPoint_1113(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  bool   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFreezeFocalPoint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUseScissor_1114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCamera *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseScissor(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCamera_GetUseScissor_1115(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  bool   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseScissor();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCamera_GetInformation_1116(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkInformation  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInformation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetInformation_1117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInformation(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCamera_VTKInit(JNIEnv *, jobject)
{
  vtkCamera *aNewOne = vtkCamera::New();
  return (jlong)(size_t)(void*)aNewOne;
}
